{
  flake,
  config,
  ...
}:
let
  inherit (flake.config.people)
    user0
    user2
    ;
  inherit (flake.config.people.users.${userLogic})
    sshKeys
    ;
  inherit (flake.config.machines)
    devices
    ;
  hostname = config.networking.hostName;
  user0devices = devices.desktop.name || devices.server.name;
  user2devices = devices.fallaryn.name;

  userLogic =
    if hostname == user0devices then
      user0
    else if hostname == user2devices then
      user2
    else
      "";
in
{
  users.users.${userLogic} = {
    openssh.authorizedKeys.keys = sshKeys;
  };
}
